Create feedback
curl --request POST \
--url https://{host}/customerfeedback/v1/Feedback \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"receiptId": "<string>",
"rating": 5,
"chainId": "<string>",
"chainName": "<string>",
"storeId": "<string>",
"storeName": "<string>",
"options": [
"<string>"
],
"message": "<string>"
}
'import requests
url = "https://{host}/customerfeedback/v1/Feedback"
payload = {
"receiptId": "<string>",
"rating": 5,
"chainId": "<string>",
"chainName": "<string>",
"storeId": "<string>",
"storeName": "<string>",
"options": ["<string>"],
"message": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
receiptId: '<string>',
rating: 5,
chainId: '<string>',
chainName: '<string>',
storeId: '<string>',
storeName: '<string>',
options: ['<string>'],
message: '<string>'
})
};
fetch('https://{host}/customerfeedback/v1/Feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"thankYouMessage": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Create feedback
Creates a new customer feedback entry for a specific receipt and member.
This endpoint resolves chain and store information by unique identifier or name:
- If ChainId is missing but ChainName is provided, it looks up the ChainId
- If ChainName is missing but ChainId is provided, it looks up the ChainName
- Same logic applies for StoreId and StoreName
POST
/
v1
/
Feedback
Create feedback
Authorizations
Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Query Parameters
Unique identifier of the member
Body
application/jsontext/jsonapplication/*+json
The request body for creating a feedback
The unique identifier of the receipt
Maximum string length:
50The received rating
Required range:
1 <= x <= 10The chain unique identifier where the purchase was made
Maximum string length:
50The chain name where the purchase was made
Maximum string length:
50The store unique identifier where the purchase was made
Maximum string length:
100The store name where the purchase was made
Maximum string length:
100The selected options when completing the feedback
The custom message left by the user
Maximum string length:
500Available options:
None, Open, Closed Last modified on August 10, 2026